
local BQ = {}

local function BattleQueue_Update()
  for i=1, GetMaxBattlefieldID() do
    local status, mapName, instanceID = GetBattlefieldStatus(i)
    if (status == "confirm") then
      local msg = string.format("[BattleQueue] %s %d", mapName, instanceID)
      SendChatMessage(msg, "RAID")
      -- print(msg)
    end
  end
end

local function BattleQueue_OnEvent(frame, event, arg1, ...)
  if event == "UPDATE_BATTLEFIELD_STATUS" then
    BattleQueue_Update()
  end
end

local function BattleQueue_Create(bq)
  bq.frame = CreateFrame("FRAME")
  bq.frame:RegisterEvent("UPDATE_BATTLEFIELD_STATUS")
  bq.frame:SetScript("OnEvent", BattleQueue_OnEvent)
end

BattleQueue_Create(BQ)
